POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "b2a44c95-6dfd-401b-bd1d-733b6be209d6",
  "delay_between_scans": 1,
  "id": "43e72b4e-cf9e-40c0-a28d-8b6ee0445d46",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "90929535-7236-4beb-afb3-8c586d238363",
  "selected_sticker_id": "fd7e27e7-7836-4bc1-987e-f2a19547f5ea"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>b2a44c95-6dfd-401b-bd1d-733b6be209d6</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>43e72b4e-cf9e-40c0-a28d-8b6ee0445d46</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>90929535-7236-4beb-afb3-8c586d238363</selected_nameplate_id>
  <selected_sticker_id>fd7e27e7-7836-4bc1-987e-f2a19547f5ea</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"8fb4a5b9-41d1-4d31-911c-e26c5cfca21b"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8fb4a5b9-41d1-4d31-911c-e26c5cfca21b</guid>